/*
    type1
*/
.bubbleelement-type-type1 .bubbleelement-wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: var(--defaultunit);
}

.bubbleelement-type-type1 .bubbleelement-bubble {
	background-color: var(--color-yellow);
	margin-top: calc(2 * var(--defaultunit));
	position: relative;
	z-index: 2;
	width: 76%;
	margin-left: auto;
	padding: var(--defaultunit);
	box-sizing: border-box;
}

.bubbleelement-type-type1:not(.bubbleelement-hidemarks-1) .bubbleelement-bubble::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    background: url(../../../Icons/knoll_icon_quote.svg) 0 0 no-repeat;
    background-size: 60px auto;
    width: 60px;
    height: 60px;
    transform: translate(var(--defaultunit), -30%);
}

.bubbleelement-type-type1 .bubbleelement-image {
    margin-top: calc((-1) * var(--defaultunit));
    padding-right: var(--defaultunit);
}

.bubbleelement-type-type1 .bubbleelement-image img {
    width: 100%;
}


.bubbleelement-type-type1 .bubbleelement-bubble::after {
    content: "";
    display: inline-block;
    width: 34px;
    height: 41px;
    background: url(../../../Icons/knoll-haken-yellow.svg) 0 -1px no-repeat;
    position: absolute;
    top: 100%;
    right: 30%;
    background-size: contain;
}


@media (max-width: 1200px) {
    .bubbleelement-type-type1 .bubbleelement-wrapper {
        grid-template-columns: 1fr;
    }

    .bubbleelement-type-type1 .bubbleelement-bubble {
        margin-top: 0;
    }
}

@media (max-width: 768px) {
    .bubbleelement-type-type1 .bubbleelement-bubble {
        width: 90%;
    }
}




/*
    type2
*/

.bubbleelement-type-type2 .bubbleelement-innerwrapper {
    display: grid;
    grid-template-columns: 2fr 1fr;
}

.bubbleelement-headline {
    display: grid;
    grid-template-columns: 2fr 1fr;
}

.bubbleelement-headline .ce-bodytext {
	grid-column: span 2;
}

.bubbleelement-type-type2 .bubbleelement-bubble {
    background-color: var(--color-yellow);
    margin-top: calc((-1) * var(--defaultunit));
    margin-right: calc((-1) * var(--defaultunit));
    position: relative;
    z-index: 2;
    width: calc(100% + var(--defaultunit));
    padding: var(--defaultunit);
    box-sizing: border-box;
}


.bubbleelement-type-type2:not(.bubbleelement-hidemarks-1) .bubbleelement-bubble::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    background: url(../../../Icons/knoll_icon_quote.svg) 0 0 no-repeat;
    background-size: calc(1.1 * var(--defaultunit)) auto;
    width: calc(1.1 * var(--defaultunit));
    height: calc(1.1 * var(--defaultunit));
    transform: translate(var(--defaultunit), -30%);
}

.bubbleelement-type-type2 .bubbleelement-bubble::after {
    content: "";
    display: inline-block;
    width: 34px;
    height: 41px;
    background: url(../../../Icons/knoll-haken-yellow.svg) 0 -1px no-repeat;
    position: absolute;
    top: 100%;
    right: calc(30% - var(--defaultunit) + 5px);
    background-size: contain;
}

.bubbleelement-type-type2 .bubbleelement-quotegiver {
    width: 80%;
    margin-left: auto;
    padding-right: 30%;
    margin-right: calc((-1) * var(--defaultunit));
    padding-top: var(--defaultunit);

    box-sizing: border-box;
    display: flex;
    justify-content: flex-end;
    text-align: right;
}





@media (max-width: 1000px) {

    /* Grid-Container */
    .bubbleelement-type-type2 .bubbleelement-wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
            "headline headline"
            "bubble   bubble"
            "quotegiver image";
        column-gap: var(--defaultunit);
        row-gap: 0;
    }


    /* 2. Elemente den Grid-Areas zuweisen */
    .bubbleelement-type-type2 .bubbleelement-headline {
        grid-area: headline;
        grid-template-columns: 1fr;
        margin-right: calc((-1) * var(--defaultunit));
    }

    .bubbleelement-type-type2 .bubbleelement-headline .h-line::after {
        width: calc(1 * var(--decoline-width));
        margin-right: calc((-1) * var(--defaultunit));
    }

    .bubbleelement-type-type2 .bubbleelement-bubble {
        grid-area: bubble;
        margin-bottom: calc((-1) * var(--defaultunit));
        margin-top: 0;
        width: calc(100% - var(--defaultunit));
        position: relative;
    }



    .bubbleelement-type-type2 .bubbleelement-image {
        grid-area: image;
    }

    .bubbleelement-type-type2 .bubbleelement-quotegiver {
        grid-area: quotegiver;
        width: 100%;
        margin-left: auto;
        padding-right: 0;
        margin-right: 0;
        padding-top: calc(2 * var(--defaultunit));
        justify-content: flex-start;
    }

    .bubbleelement-type-type2 .bubbleelement-quotegiver .ce-bodytext {
        width: calc(100% - 20px);
    }

    .bubbleelement-type-type2 .bubbleelement-bubble::after {
        right: 0;
        left: calc(50% - 0.5 * var(--defaultunit) - 5px);
    }

    /* 3. Sicherheit: alles andere nicht stören */
    .bubbleelement-type-type2 .bubbleelement-innerwrapper,
    .bubbleelement-type-type2 .bubbleelement-textcontent1,
    .bubbleelement-type-type2 .bubbleelement-textcontent2 {
        display: contents;
    }
}

@media (max-width: 768px) {

    /* 1. Grid-Container definieren */
    .bubbleelement-type-type2 .bubbleelement-wrapper {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas:
            "headline"
            "bubble"
            "image"
            "quotegiver";
        row-gap: 1.5rem;
        /* optional */
    }

    .bubbleelement-type-type2 .bubbleelement-headline {
        grid-template-columns: 1fr;
    }

    .bubbleelement-type-type2 .bubbleelement-headline .h-line::after {
        width: calc(2 * var(--decoline-width));
        margin-right: calc((-1) * var(--defaultunit));
    }

    .bubbleelement-type-type2 .bubbleelement-bubble {
        margin-top: calc((-0.5) * var(--defaultunit));
    }

    .bubbleelement-type-type2 .bubbleelement-bubble {
        margin-bottom: calc((-2) * var(--defaultunit));
    }

    .bubbleelement-type-type2 .bubbleelement-image {
        margin-right: calc((-2) * var(--defaultunit));
        width: 100%;
        width: 70%;
        margin-left: auto;
    }

/*    .bubbleelement-type-type2 .bubbleelement-bubble {
        width: calc(100% + var(--defaultunit));
        margin-left: calc((-2) * var(--defaultunit));
    }*/
    .bubbleelement-type-type2 .bubbleelement-bubble {
        width: calc(100%);
        margin-left: 0;
    }

    .bubbleelement-type-type2 .bubbleelement-quotegiver {
        padding-top: 0;
    }

    .bubbleelement-type-type2 .bubbleelement-quotegiver .ce-bodytext {
        width: 100%;
    }

}




/*
    type3
*/

.bubbleelement-type-type3 .bubbleelement-wrapper {
    display: grid;
    grid-template-columns: 1fr;
}

.bubbleelement-type-type3 .bubbleelement-bubble {
    background-color: var(--color-yellow);
    position: relative;
    z-index: 2;
    width: 100%;
    padding: var(--defaultunit);
    box-sizing: border-box;
}

.bubbleelement-type-type3:not(.bubbleelement-hidemarks-1) .bubbleelement-bubble::before {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	background: url(../../../Icons/knoll_icon_quote.svg) 0 0 no-repeat;
	background-size: clamp(2.188rem, calc(0.972rem + 2.778vw), 3.75rem) auto;
	width: clamp(2.188rem, calc(0.972rem + 2.778vw), 3.75rem);
	height: clamp(2.188rem, calc(0.972rem + 2.778vw), 3.75rem);
	transform: translate(var(--defaultunit), -30%);
}

.bubbleelement-type-type3 .bubbleelement-bubble::after {
    content: "";
    display: inline-block;
    width: 34px;
    height: 41px;
    background: url(../../../Icons/knoll-haken-yellow.svg) 0 -1px no-repeat;
    position: absolute;
    top: 100%;
    right: 30%;
    background-size: contain;
}
.bubbleelement-bubble .ce-bodytext ul > li {
	word-break: break-word;
}
.bubbleelement-type-type3 .bubbleelement-image {
    display: grid;
    grid-template-columns: 1fr 200px 1fr;
    grid-template-areas: ". image .";
}

.bubbleelement-type-type3 .bubbleelement-image img {
    grid-area: image;
    overflow: hidden;
    border-radius: 50%;
    margin: 42px auto 30px auto;
}

.bubbleelement-type-type3 .bubbleelement-quotegiver {
    display: grid;
    grid-template-columns: 1fr 200px 1fr;
    grid-template-areas: "quotegiver quotegiver .";

    text-align: right;
}

.bubbleelement-type-type3 .bubbleelement-quotegiver .ce-bodytext {
    grid-area: quotegiver;
}




/*
    type4
*/

.bubbleelement-type-type4 .bubbleelement-bubble {
    background-color: var(--color-yellow);
    position: relative;
    z-index: 2;
    width: 100%;
    padding: var(--defaultunit);
    box-sizing: border-box;
    margin-bottom: 50px;
}

.bubbleelement-type-type4 .bubbleelement-bubble::after {
    content: "";
    display: inline-block;
    width: 34px;
    height: 41px;
    background: url(../../../Icons/knoll-haken-yellow.svg) 0 -1px no-repeat;
    position: absolute;
    top: 100%;
    right: 30%;
    background-size: contain;
}


 